Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Class SystemAccessILFactory

    java.lang.Object
      net.jini.jeri.AbstractILFactory
          net.jini.jeri.BasicILFactory
              com.sun.jini.phoenix.SystemAccessILFactory

All Implemented Interfaces:
  InvocationLayerFactory

public class SystemAccessILFactory
extends BasicILFactory

Invocation layer factory for exporting an `ActivationSystem` to use Jini(TM) extensible remote invocation (Jini ERI), that is similar to `BasicILFactory` except the remote object must be an `ActivationSystem` instance and the returned dispatcher optionally accepts calls from the local host and optionally enforces a `GroupPolicy` on calls to `registerGroup` and `setActivationGroupDesc`.

Since:
  2.0

Nested Class Summary
`static class` | `SystemAccessILFactory.SystemDispatcher` A subclass of `BasicInvocationDispatcher` for `ActivationSystem` instances that optionally enforces a `GroupPolicy` on calls to `registerGroup` and `setActivationGroupDesc`.

Nested classes inherited from class net.jini.jeri.InvocationLayerFactory
`InvocationLayerFactory.Instances`

Constructor Summary
`SystemAccessILFactory()` Creates an invocation layer factory that creates an invocation dispatcher with a `DefaultGroupPolicy` instance and a `null` class loader.
`SystemAccessILFactory(GroupPolicy policy, ClassLoader loader)` Creates an invocation layer factory that creates an invocation dispatcher with the specified group policy and the specified class loader.
`SystemAccessILFactory(MethodConstraints serverConstraints)` Creates a factory with a `null` class loader, the specified server constraints, the `SystemPermission` permission class, and a `DefaultGroupPolicy` instance.
`SystemAccessILFactory(MethodConstraints serverConstraints, Class permClass, GroupPolicy policy, ClassLoader loader)` Creates a factory with the specified server constraints, permission class, group policy, and class loader.

Method Summary
`protected InvocationDispatcher` | `createInvocationDispatcher(Collection methods, Remote impl, ServerCapabilities caps)` Returns a `SystemAccessILFactory.SystemDispatcher` instance constructed with the specified methods, the class loader specified during construction, the remote object, server capabilities, and the server constraints, permission class, and group policy that this factory was constructed with and a flag indicating whether the dispatcher should only accept calls from the local host.

Methods inherited from class net.jini.jeri.BasicILFactory
`createInvocationHandler, equals, getExtraProxyInterfaces, getPermissionClass, getServerConstraints, hashCode, toString`

Methods inherited from class net.jini.jeri.AbstractILFactory
`createInstances, getClassLoader, getInvocationDispatcherMethods, getProxyInterfaces, getRemoteInterfaces`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemAccessILFactory

    public SystemAccessILFactory()

  Creates an invocation layer factory that creates an invocation dispatcher with a `DefaultGroupPolicy` instance and a `null` class loader. This invocation dispatcher only accepts calls from the local host and enforces the group policy on calls to `registerGroup` and `setActivationGroupDesc`.

### SystemAccessILFactory

    public SystemAccessILFactory(GroupPolicy policy,
                                 ClassLoader loader)

  Creates an invocation layer factory that creates an invocation dispatcher with the specified group policy and the specified class loader. This invocation dispatcher only accepts calls from the local host and enforces the specified group policy (if non-`null`) on calls to `registerGroup` and `setActivationGroupDesc`.

Parameters:
  `loader` - the class loader, or `null`
  `policy` - the group policy, or `null`

### SystemAccessILFactory

    public SystemAccessILFactory(MethodConstraints serverConstraints)

  Creates a factory with a `null` class loader, the specified server constraints, the `SystemPermission` permission class, and a `DefaultGroupPolicy` instance.

Parameters:
  `serverConstraints` - the server constraints, or `null`

### SystemAccessILFactory

    public SystemAccessILFactory(MethodConstraints serverConstraints,
                                 Class permClass,
                                 GroupPolicy policy,
                                 ClassLoader loader)

  Creates a factory with the specified server constraints, permission class, group policy, and class loader. This factory creates an invocation dispatcher that enforces the specified group policy (if non-`null`) on calls to `registerGroup` and `setActivationGroupDesc`.

Parameters:
  `serverConstraints` - the server constraints, or `null`
  `permClass` - the permission class, or `null`
  `policy` - the group policy, or `null`
  `loader` - the class loader, or `null`
Throws:
  `IllegalArgumentException` - if the permission class is abstract, is not a subclass of `Permission`, or does not have a public constructor that has either one `String` parameter or one `Method` parameter and has no declared exceptions

Method Detail

### createInvocationDispatcher

    protected InvocationDispatcher createInvocationDispatcher(Collection methods,
                                                              Remote impl,
                                                              ServerCapabilities caps)
                                                       throws ExportException

  Returns a `SystemAccessILFactory.SystemDispatcher` instance constructed with the specified methods, the class loader specified during construction, the remote object, server capabilities, and the server constraints, permission class, and group policy that this factory was constructed with and a flag indicating whether the dispatcher should only accept calls from the local host.

  Overrides:
    `createInvocationDispatcher` in class `BasicILFactory`
  Returns:
    a `SystemAccessILFactory.SystemDispatcher` instance constructed with the specified methods and server capabilities, and the server constraints, permission class and group policy that this factory was constructed with
  Throws:
    `NullPointerException` - if any argument is `null`, or if `methods` contains a `null` element
    `ExportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved